## ros-melodic-prbt-support 0.5.21

=== debian/changelog ===
ros-melodic-prbt-support (0.5.21-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 22 Nov 2020 23:00:00 -0000

ros-melodic-prbt-support (0.5.20-1stretch) stretch; urgency=high

  * Fix acceptancetest_joint_limits (#448)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-prbt-support (0.5.19-1stretch) stretch; urgency=high

  * Reduce planning context to urdf model in urdf_tests.test (#451)
  * Increase acceleration limits. (#442)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Sep 2020 22:00:00 -0000

ros-melodic-prbt-support (0.5.18-1stretch) stretch; urgency=high

  * Make AsyncTest header-only
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 01 Jul 2020 22:00:00 -0000

ros-melodic-prbt-support (0.5.17-1stretch) stretch; urgency=high

  * Redirect start of fake_speed_override_node to separate launch file
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Jun 2020 22:00:00 -0000

ros-melodic-prbt-support (0.5.16-1stretch) stretch; urgency=high

  * Fix include_directories for prbt_support tests (#390)
  * Update and apply clang-format (#387)
  * Make test-subfolder-names consistent (#380)
  * Fix/joint limits acceptance test (#381)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 May 2020 22:00:00 -0000

ros-melodic-prbt-support (0.5.15-1stretch) stretch; urgency=high

  * Add support for starting the robot without modbus
  * Rename argument enable_safety_interface to iso10218_support.
  * Moved system_info_node here from prbt_hardware_support
  * Adopted default configuration for launchfiles
  * Add README
  * Enable starting ROS without connecting to safety controller
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 02 May 2020 22:00:00 -0000

ros-melodic-prbt-support (0.5.14-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Mar 2020 23:00:00 -0000

ros-melodic-prbt-support (0.5.13-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-prbt-support (0.5.12-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-melodic-prbt-support (0.5.11-1stretch) stretch; urgency=high

  * Fix clang compiler errors (#283)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-melodic-prbt-support (0.5.10-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2019 22:00:00 -0000

ros-melodic-prbt-support (0.5.9-1stretch) stretch; urgency=high

  * Add frame speed monitoring
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Oct 2019 22:00:00 -0000

ros-melodic-prbt-support (0.5.8-1stretch) stretch; urgency=high

  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-melodic-prbt-support (0.5.7-1stretch) stretch; urgency=high

  * Add default modbus server ip for pss4000
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Aug 2019 22:00:00 -0000

ros-melodic-prbt-support (0.5.6-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-prbt-support (0.5.5-1stretch) stretch; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-melodic-prbt-support (0.5.4-1stretch) stretch; urgency=high

  * instantiate pg70 xacro macro (due to change in prbt_grippers)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 26 May 2019 22:00:00 -0000

ros-melodic-prbt-support (0.5.3-1stretch) stretch; urgency=high

  * Add acceptance test for joint position limits
  * Relax joint limits.
  * Replace the radian values for the position limits (they have been rounded too roughly).
  * Added support for force-/torque sensors in gazebo
  * allow gripper_name as outside property instead of passing it explicitly
  * Add gripper brackets definition to prbt.xacro
  * Remove unnecessary file test_context.launch
    This file is moved to pilz_trajectory_generation, where it is mainly used.
    The test urdf_tests can use the original file planning_context.launch.
  * Add missing dependency on joint_state_controller
  * Relax joint limits (recompute radian values and round up 5th decimal)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-melodic-prbt-support (0.5.2-1stretch) stretch; urgency=high

  * drop outdated can configuration
  * Fixup of mesh files due to errors in gazebo visualization
  * make robot.launch file configurable with args
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 20 Feb 2019 23:00:00 -0000

ros-melodic-prbt-support (0.5.1-1stretch) stretch; urgency=high

  * melodic release based on kinetic version 0.4.3
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-melodic-prbt-support (0.5.0-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-melodic-prbt-support (0.4.3-1stretch) stretch; urgency=high

  * Update readme

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-melodic-prbt-support (0.4.2-1stretch) stretch; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 07 Nov 2018 23:00:00 -0000


