=== debian/control ===
Source: ros-melodic-prbt-support
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-canopen-chain-node, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-code-coverage, ros-melodic-joint-state-publisher, ros-melodic-moveit-core, ros-melodic-moveit-ros-planning, ros-melodic-pilz-testutils, ros-melodic-pilz-utils, ros-melodic-prbt-hardware-support, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-rviz, ros-melodic-sensor-msgs
Homepage: https://wiki.ros.org/prbt_support
Standards-Version: 3.9.2

Package: ros-melodic-prbt-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-canopen-motor-node, ros-melodic-controller-manager, ros-melodic-joint-state-controller, ros-melodic-pilz-control, ros-melodic-pilz-status-indicator-rqt, ros-melodic-prbt-hardware-support, ros-melodic-robot-state-publisher, ros-melodic-roscpp, ros-melodic-rosservice, ros-melodic-topic-tools, ros-melodic-xacro
Description: Mechanical, kinematic and visual description of the Pilz light weight arm PRBT.
